package com.hungraim.ltc.pojo.vo.account;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
public class AssessAccountsListResp {

    /**
     * 结算id
     */
    private Long assessAccountsId;

    /**
     * 适用机构id
     */
    private Long organId;

    /**
     * 适用机构名称
     */
    private String organName;

    /**
     * 护理机构id
     */
    private String srvOrganId;

    private String disabInfoId;

    /**
     * 护理机构名称
     */
    private String srvOrganName;

    /**
     * 结算月份
     */
    @DateTimeFormat(pattern = "yyyy-MM")
    @JsonFormat(pattern = "yyyy-MM",timezone = "GMT+8")
    private Date accountsTime;

    /**
     * 状态（0-待提交；1-待审核；2-已审核；3-已失效；）
     */
    private Short accountsStatus;

    /**
     * 总费用
     */
    private String assessCost;



    /**
     * 费用开始时间
     */
    private String assessStartTime;

    /**
     * 费用结束时间
     */
    private String assessEndTime;

    private String aprempTypeName;



}
