package com.hungraim.ltc.pojo.entity.account;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * CH_DISAB_ACCOUNTS_DETAIL
 */
@Data
@TableName("CH_ASSESS_ACCOUNTS_DETAIL")
@KeySequence("SEQ_CH_ASSESS_ACCOUNTS_DETAIL")
public class ChAssessDetailAccounts implements Serializable {
    /**
     * 结算id
     */
    @TableId(value = "ASSESS_ACCOUNTS_DETAIL_ID", type = IdType.INPUT)
    private Long assessAccountsDetailId;


    private Long assessAccountsId;

    private String disabInfoId;
    /**
     * 护理机构id
     */
    private String srvOrganId;

    /**
     * 创建时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date creationTime;

    /**
     * 结算月份
     */
    @DateTimeFormat(pattern = "yyyy-MM")
    @JsonFormat(pattern = "yyyy-MM",timezone = "GMT+8")
    private Date accountsTime;


    private String assessAllCost;
    private String assessOverallCost;
    private String assessPersonalCost;






    /**
     * 费用开始日期
     */
    private Date  assessStartTime;
    /**
     * 费用结束日期
     */
    private Date assessEndTime;


    private static final long serialVersionUID = 1L;
}